PMIX_BYTE_OBJECT_T(5)

pmix_byte_object_t — a structure containing a raw byte sequence

SYNTAX

  C Syntax

            #include <pmix_common.h>

            typedef struct pmix_byte_object {
               char *bytes;
               size_t size;
            } pmix_byte_object_t;

  Python Syntax

            from pmix import *

            foo = {'bytes': bts, 'size': sz}

where bts is a Python byte array and sz is the integer number of bytes in that array.

DESCRIPTION

The pmix_byte_object_t structure is used to contain and transfer a sequence of bytes across APIs and between processes.

See also:
        PMIx_Initialized(3)

Copyright
2014-2026, OpenPMIx Community